---
title: Update an existing route for a network
canonical: https://openvpn.net/cloud-docs/developer/cloudconnexa-beta-api-v0-16-0/network/update-an-existing-route-for-a-network/
product: CloudConnexa Docs
---

# Update an existing route for a network

`PUT /api/beta/networks/{networkId}/routes/{routeId}`

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| body | body | object | true | body |
| networkId | path | string | true | networkId |
| routeId | path | string | true | routeId |

### Body parameter

```json
{
  "allowEmbeddedIp": true,
  "description": "string",
  "value": "string"
}
```

## Responses

| Status | Meaning | Description |
| --- | --- | --- |
| 200 | [OK](https://tools.ietf.org/html/rfc7231#section-6.3.1) | OK |
| 400 | [Bad Request](https://tools.ietf.org/html/rfc7231#section-6.5.1) | Bad Request |
| 401 | [Unauthorized](https://tools.ietf.org/html/rfc7235#section-3.1) | Unauthorized |
| 403 | [Forbidden](https://tools.ietf.org/html/rfc7231#section-6.5.3) | Access Forbidden |
| 404 | [Not Found](https://tools.ietf.org/html/rfc7231#section-6.5.4) | Not Found |
| 406 | [Not Acceptable](https://tools.ietf.org/html/rfc7231#section-6.5.6) | Not Acceptable |
| 429 | [Too Many Requests](https://tools.ietf.org/html/rfc6585#section-4) | Too Many Requests |
| 500 | [Internal Server Error](https://tools.ietf.org/html/rfc7231#section-6.6.1) | Internal Server Error |

To perform this operation, you must be authenticated by means of one of the following methods: OAuth\_authorization

```json
{
  "description": "string",
  "id": "string",
  "subnet": "string",
  "type": "IP_V4"
}
```

---

Prev: [Update an existing network with connectors](https://openvpn.net/cloud-docs/developer/cloudconnexa-beta-api-v0-16-0/network/update-an-existing-network-with-connectors.md)
Next: [OAuth](https://openvpn.net/cloud-docs/developer/cloudconnexa-beta-api-v0-16-0/oauth.md)
Index: https://openvpn.net/cloud-docs/llms.txt
